Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<AllowSort(False)> _
<DeferredDeletion(False)> _
<Appearance("Set line to red if Col08=H", AppearanceItemType:="ViewItem", TargetItems:="*", BackColor:="LightGray", Criteria:="Col08='H'", Context:="ListView")> _
Public Class C3CImportRows
    Inherits BaseObject
    Private _C3CImportHeader As C3CImportHeader
    Private _RowIndex As Long
    Private _Col01 As String
    Private _Col02 As String
    Private _Col03 As String
    Private _Col04 As String
    Private _Col05 As String
    Private _Col06 As String
    Private _Col07 As String
    Private _Col08 As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Association("C3CImportHeader-C3CImportRows", GetType(C3CImportHeader))> _
    Property C3CImportHeader As C3CImportHeader
        Get
            Return _C3CImportHeader
        End Get
        Set(value As C3CImportHeader)
            SetPropertyValue("C3CImportHeader", _C3CImportHeader, value)
        End Set
    End Property
    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    <Size(255)> _
    Property Col01 As String
        Get
            Return _Col01
        End Get
        Set(value As String)
            SetPropertyValue("Col01", _Col01, value)
        End Set
    End Property
    <Size(255)> _
    Property Col02 As String
        Get
            Return _Col02
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Col02", _Col02, value)
        End Set
    End Property
    <Size(255)> _
    Property Col03 As String
        Get
            Return _Col03
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Col03", _Col03, value)
        End Set
    End Property
    <Size(255)> _
    Property Col04 As String
        Get
            Return _Col04
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Col04", _Col04, value)
        End Set
    End Property
    <Size(255)> _
    Property Col05 As String
        Get
            Return _Col05
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Col05", _Col05, value)
        End Set
    End Property
    <Size(255)> _
    Property Col06 As String
        Get
            Return _Col06
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Col06", _Col06, value)
        End Set
    End Property
    <Size(255)> _
    Property Col07 As String
        Get
            Return _Col07
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Col07", _Col07, value)
        End Set
    End Property
    <Size(255)> _
    Property Col08 As String
        Get
            Return _Col08
        End Get
        Set(ByVal value As String)
            SetPropertyValue("Col08", _Col08, value)
        End Set
    End Property
End Class
